This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 913847 - darktable: FTBFS in rawhide
darktable: FTBFS in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: darktable (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Edouard Bourguignon
Fedora Extras Quality Assurance
:
Depends On: 919811
Blocks: F19FTBFS
  Show dependency treegraph
 
Reported: 2013-02-22 03:57 EST by Dennis Gilmore
Modified: 2013-03-17 10:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-17 10:49:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-02-22 03:57:20 EST
Your package darktable failed to build from source in current rawhide.

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/100/4950100/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/100/4950100/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/100/4950100/state.log

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild
Comment 1 Stanislav Ochotnicky 2013-02-22 04:41:36 EST
The logs might have been already garbage collected. You can
see task status at the following URL:
"http://koji.fedoraproject.org/koji/taskinfo?taskID=4950100
Comment 2 Rex Dieter 2013-03-10 18:43:13 EDT
BUILD/darktable-1.1.3/src/common/darktable.c: In function 'dt_init':
/builddir/build/BUILD/darktable-1.1.3/src/common/darktable.c:521:3: error: 'g_type_init' is deprecated (declared at /usr/include/glib-2.0/gobject/gtype.h:669) [-Werror=deprecated-declarations]
   g_type_init();
   ^
cc1: all warnings being treated as errors
make[2]: *** [src/CMakeFiles/lib_darktable.dir/common/darktable.c.o] Error 1


Not ever really a good idea to set -Werror for Release builds (imo)
Comment 3 Rex Dieter 2013-03-10 18:55:52 EDT
Otoh, confirmed that darktable-1.1.4 builds ok.

Note You need to log in before you can comment on or make changes to this bug.